package com.winhc.bigdata.spark.udf

import com.winhc.bigdata.spark.const.CaseChanceConst
import org.apache.spark.sql.SparkSession

import scala.annotation.meta.getter

/**
 * @Author: XuJiakai
 * @Date: 2020/7/16 10:55
 * @Description:
 */
trait CaseChanceFunc {

  @(transient@getter) protected val spark: SparkSession

  def chance_dynamic_type(): Unit = {
    spark.udf.register("get_chance_dynamic_type", (tableName: String) => {
      CaseChanceConst.CHANCE_DYNAMIC_TYPE(tableName)
    })
  }

}
